using Consulenza.ReportWriter.Business.OBJ_PDF;
using Consulenza.ReportWriter.Business;


namespace Consulenza.ReportWriter.Manager.Chapter.Base.Proposta
{
    public class IntestazioneCopertina_PropostaNonAdeguata : Entity.Chapter
    {
        public IntestazioneCopertina_PropostaNonAdeguata(EnvironmentFacade environmentFacade, int idchapter)
            : base(environmentFacade, idchapter)
        {
            Draw();
        }

        public IntestazioneCopertina_PropostaNonAdeguata(EnvironmentFacade environmentFacade, int idchapter, bool repeatoneachpage)
            : this(environmentFacade, idchapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        protected override sealed void Draw()
        {
            FormattedTextAreaPDF titoloCopertina;

            AddElement(new PagePDF(PagePDF.PagePDFType.Cover));

            if (EnvironmentFacade.ReportEnvironment.PrivateBanker.CodiceRete.Equals("S"))
            {
                titoloCopertina = new FormattedTextAreaPDF("DETTAGLIO OPERAZIONI RICHIESTE", 340, 330, ceTe.DynamicPDF.TextAlign.Left) { Y = 60, FontSize = 13, FontBold = true, AbsolutePosition = true, AutoIncrementYWritable = false };

                var secondaRigaTitoloCopertina = new FormattedTextAreaPDF("DAL CLIENTE", 340, 330, ceTe.DynamicPDF.TextAlign.Left) { Y = 75, FontSize = 13, FontBold = true, AbsolutePosition = true, AutoIncrementYWritable = false };

                AddElement(titoloCopertina);
                AddElement(secondaRigaTitoloCopertina);
            }
            else
            {
                titoloCopertina = new FormattedTextAreaPDF("DETTAGLIO OPERAZIONI RICHIESTE DAL CLIENTE", 250, 330, ceTe.DynamicPDF.TextAlign.Left) { Y = 75, FontSize = 13, FontBold = true };
                AddElement(titoloCopertina);
            }
        }

    }
}
